gnutls_srp_base64_encode_alloc(3)

NAME
gnutls_srp_base64_encode_alloc

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_srp_base64_encode_alloc(const gnutls_datum_t * data, gnutls_datum_t * result);

ARGUMENTS

const gnutls_datum_t * data
    contains the raw data

gnutls_datum_t * result
    will hold the newly allocated encoded data

DESCRIPTION
This function will convert the given data to printable data, using the base64 encoding. This is the encoding used in SRP password files. This function will allocate the required memory to hold the encoded data. You should use gnutls_free() to free the returned data.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.